| Kea 3.0.2-git

multi_threading_mgr.h File Reference
`#include <util/thread_pool.h>`
`#include <functional>`
`#include <list>`
`#include <boost/noncopyable.hpp>`
`#include <stdint.h>`
Include dependency graph for multi_threading_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::util::CSCallbackSet
| Embodies a named set of CriticalSection callbacks. More...
class | isc::util::CSCallbackSetList
| Maintains list of unique CSCallbackSets. More...
class | isc::util::MultiThreadingCriticalSection
| RAII class creating a critical section. More...
struct | isc::util::MultiThreadingLock
| RAII lock object to protect the code in the same scope with a mutex. More...
class | isc::util::MultiThreadingMgr
| Multi Threading Manager. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util